import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera.pb.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_ui/Authenticated/authenticated.dart';
import 'package:nuntio_hera/hera_ui/components/nuntio_button.dart';

import '../main.dart';

class Home extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      backgroundColor: CupertinoColors.white,
      child: Center(
        child: SingleChildScrollView(
          child: SafeArea(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Text(
                  "You are authenticated",
                  style: Theme.of(context).textTheme.titleLarge,
                ),
                const SizedBox(
                  height: 30,
                ),
                NuntioButton(
                  color: CupertinoColors.activeBlue,
                  filled: true,
                  onPressed: () {
                    Hera.logout().then((value) => {
                      Navigator.of(context).push(
                        MaterialPageRoute(builder: (context) => MyApp()),
                      ),
                    });
                  },
                  child: const Text("Logout"),
                ),
                const SizedBox(
                  height: 30,
                ),
                Container(
                  constraints: const BoxConstraints(maxWidth: 350),
                  child: Authenticated(
                      builder: (user) => Text(
                            (user ?? User()).toString(),
                            style: Theme.of(context).textTheme.bodyText1,
                          ),
                      ifNotAuthenticated: () {}),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
